### any_completion_handler_allocator

An allocator type that forwards memory allocation operations through an instance of `any_completion_handler`.

    template<
        typename T,
        typename... Signatures>
    class any_completion_handler_allocator

##### Types

Name | Description
--- | ---
value_type | The type of objects that may be allocated by the allocator.

##### Member Functions

Name | Description
--- | ---
allocate | Allocate space for n objects of the allocator's value type.
any_completion_handler_allocator [constructor] | Construct from another any_completion_handler_allocator.
deallocate | Deallocate space for n objects of the allocator's value type.
operator!= | Inequality operator.
operator== | Equality operator.

##### Requirements

Header: `asio/any_completion_handler.hpp`

Convenience header: `asio.hpp`